Subject: bug#78306: [PATCH] Skip the non-exists path when loading a file on Windows

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 May 2025 09:13:06 -0400

> Emacs will searching file with a suffix even the dir is not exists.

You don't say why you think it's a problem.  It's been doing that for
decades, and it's quite common to have a non-existing directory in
`load-path` (e.g. the `<ROOT>/share/emacs/<VERSION>/site-lisp` if you're
running Emacs "in place") yet it's never been seen as a problem.

        Stefan